<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <gri:panel rendered="#{pnrIHEManager.editXDSDocumentEntry}">
        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XDSDocumentEntry']}</f:facet>
        <div class="form-horizontal">
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.XDSDocumentEntryTitle']}</ui:define>
                <h:inputText value="#{pnrIHEManager.selectedXDSDocumentEntry.title}" styleClass="form-control">
                    <a4j:ajax event="blur" render="treesubid"/>
                </h:inputText>
            </s:decorate>

            <br/>
            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.OnlyXMLAndPDFFilesAreAllowedToBeUploaded']}"/>


            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.File']}</ui:define>
                <rich:fileUpload acceptedTypes="xml,pdf" fileUploadListener="#{pnrIHEManager.uploadListener}"
                                 immediateUpload="true" maxFilesQuantity="1" listHeight="90px">
                    <a4j:ajax event="uploadcomplete" render="filesDiv,metadatass"/>
                </rich:fileUpload>
            </s:decorate>
            <gdk:spacer width="15"/>
            <h:panelGrid columns="3">
                <h:outputText value="#{pnrIHEManager.selectedXDSDocumentEntry.relatedFile.name}"
                              rendered="#{pnrIHEManager.selectedXDSDocumentEntry.relatedFile != null}"/>
                <gdk:spacer width="5px"/>
            </h:panelGrid>

        </div>
        <s:div id="metadatass">
            <s:div rendered="#{pnrIHEManager.selectedXDSDocumentEntry.relatedFile != null}">
                <s:div id="repl">
                    <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">
                            #{messages['net.ihe.gazelle.xdstar.DocumentEntryRelationToOldDocuments']}
                        </ui:define>
                        <h:selectOneMenu value="#{pnrIHEManager.selectedXDSDocumentEntry.associationType}" styleClass="form-control gzl-form-control gzl-select-text">
                            <f:selectItems value="#{pnrIHEManager.getListAssociationTypes()}"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                            <a4j:ajax event="change" render="repl"/>
                        </h:selectOneMenu>
                        <s:span styleClass="gzl-icon-question-circle"
                                title="#{messages['net.ihe.gazelle.xdstar.ChooseTheTypeOfTheAssociationWithAnExistingDocum']})"/>
                    </s:decorate>

                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml"
                                rendered="#{pnrIHEManager.selectedXDSDocumentEntry.associationType != null}">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.TargetObjectId']}</ui:define>
                        <h:inputText value="#{pnrIHEManager.selectedXDSDocumentEntry.targetDocument}" styleClass="form-control"/>
                    </s:decorate>
                    </div>
                </s:div>
                <div class="form-horizontal">
                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MimeType']}</ui:define>
                    <h:inputText value="#{pnrIHEManager.selectedXDSDocumentEntry.mimeType}" styleClass="form-control"/>
                </s:decorate>
                </div>
                <f:subview id="subview_1">
                    <ui:include src="/provide_register/pnr_docEntry_table.xhtml"/>
                </f:subview>
                <br/>
                <br/>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.RandomFulfil']}"
                                   styleClass="gzl-btn-blue"
                                   actionListener="#{pnrIHEManager.randomFulFilDocEntryMetadata()}"
                                   render="metadata_id"/>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.AddOptionalMetadata']}"
                                   styleClass="gzl-btn-green"
                                   rendered="#{pnrIHEManager.listOptionalMetadata.size() &gt; 0}"
                                   actionListener="#{pnrIHEManager.initListOptionalMetadata()}"
                                   oncomplete="jq162('#AddOptionalMetadata').modal('show');"
                                   render="AddOptionalMetadatadec,AddOptionalMetadataForm"/>
            </s:div>
        </s:div>
        <br/>
    </gri:panel>
</ui:composition>
